DWARF_FORMADDR(3) | Library Functions Manual | DWARF_FORMADDR(3)

# NAME

`dwarf_formaddr` —
return the value of an ADDRESS class attribute

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_formaddr`(Dwarf_Attribute attr, Dwarf_Addr *ret, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_formaddr`() sets the location pointed to by argument ret to the address represented by the attribute referenced by argument attr. The form of argument attr must be `DW_FORM_addr`.

If argument err is not NULL, it will be used to return an error descriptor in case of an error.

# RETURN VALUES

Function `dwarf_formaddr`() returns `DW_DLV_OK` on success. In case of an error, it returns `DW_DLV_ERROR` and sets argument err.

# ERRORS

Function `dwarf_formblock`() may fail with the following errors:

[`DW_DLE_ARGUMENT`]
  Either of arguments attr or ret was NULL.
[`DW_DLE_ATTR_FORM_BAD`]
  The attribute referenced by argument attr was not of form `DW_FORM_addr`.

# SEE ALSO

dwarf(3), dwarf_attr(3), dwarf_formblock(3), dwarf_formflag(3), dwarf_formref(3), dwarf_formsdata(3), dwarf_formsig8(3), dwarf_formstring(3), dwarf_formudata(3), dwarf_hasattr(3)

July 23, 2010 | NetBSD 9.5